# $Id: libiriverdb.spec 40 2006-12-12 11:36:07Z matt $

Name: libiriverdb
Version: 1.5
Release: 1
URL: http://www.bodgit-n-scarper.com/code.html
Group: Applications/Multimedia
Distribution: Red Hat Linux
Packager: Matt Dainty <matt@bodgit-n-scarper.com>
License: GPLv2
Summary: Library for maintaining the database on iRiver jukeboxes

Prefix: %{_prefix}

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gcc, glib2-devel >= 2.4.0, libvorbis-devel >= 1.0.1, libid3tag-devel >= 0.15.1
Requires: glib2 >= 2.4.0, libvorbis >= 1.0.1, libid3tag >= 0.15.1

Source0: %{name}-%{version}.tar.gz

%description
Library for maintaining the database on iRiver jukeboxes

%package devel
Summary: Object files for development using libiriverdb
Group: Development/Libraries
Requires: %{name} = %{version}, pkgconfig

%description devel
Object files for development using libiriverdb

%prep
%setup -q 

%build
%configure --disable-dbus
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# %find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
# %files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libiriverdb.so.*
%{_bindir}/iriverdb
%doc %{_mandir}/man1/iriverdb.1*
%doc README NEWS AUTHORS ChangeLog TODO DEBUG BUGS

%files devel
%defattr(-,root,root)
%{_libdir}/libiriverdb.a
%{_libdir}/libiriverdb.la
%{_libdir}/libiriverdb.so
%{_libdir}/pkgconfig/libiriverdb.pc
%{_includedir}/iriverdb.h
%doc %{_mandir}/man3/iriverdb_*.3*

%changelog
* Tue Dec 12 2006 Matt Dainty <matt@bodgit-n-scarper.com>
- Update to version 1.5

* Sat Sep 03 2005 Matt Dainty <matt@bodgit-n-scarper.com>
- Update to version 1.4

* Sun Aug 28 2005 Matt Dainty <matt@bodgit-n-scarper.com>
- Switch to libid3tag for ID3 tag parsing

* Sun Aug 14 2005 Matt Dainty <matt@bodgit-n-scarper.com>
- Update to version 1.3

* Sun Apr 24 2005 Matt Dainty <matt@bodgit-n-scarper.com>
- Update to version 1.2
- Temporarily disable i18n steps until we get first translation

* Tue Apr 12 2005 Matt Dainty <matt@bodgit-n-scarper.com>
- Add locale/find_lang file gathering

* Wed Mar 16 2005 Matt Dainty <matt@bodgit-n-scarper.com>
- Update to version 1.1

* Sat Jan 29 2005 Matt Dainty <matt@bodgit-n-scarper.com>
- Initial version 1.0
